%global debug_package %{nil}

Name:           st-community-scripts
Version:        1.0.4
Release:        1
Summary:        A simple setup tool suit
BuildArch:      %{_target_cpu}

License:        MPL-2.0
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  bash
BuildRequires:  gcc
BuildRequires:  libstp2
BuildRequires:  ncurses-devel
Recommends:     bash
Recommends:     mksh
Recommends:     zsh
Recommends:     dash
Recommends:     fish
Recommends:     libstp
Requires:       libstp2
Requires:       gcc

%description
A simple setup program for RPM-based distros.

%prep
%setup -q


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_datadir}/licenses/%{name}
mkdir -p %{buildroot}/%{_sysconfdir}/sysctl.d
mkdir -p %{buildroot}/%{_prefix}/stcc-temp
mkdir -p %{buildroot}/%{_prefix}/stcc-temp/.ZSH_CUSTOM
mkdir -p %{buildroot}/%{_prefix}/stcc-temp/fastfetch
mkdir -p %{buildroot}/opt/setup-tool/custom-scripts
gcc stcs.c -I/usr/lib64/libstp/2 -L/usr/lib64/libstp/2 /usr/lib64/libstp/2/libstp-c.so -lncurses -o stcs
chmod 777 stcc-start
cp stcs %{buildroot}/%{_bindir}
cp PLACEHOLDER %{buildroot}/opt/setup-tool/custom-scripts
cp stcc-start %{buildroot}/%{_bindir}
cp .zshrc %{buildroot}/%{_prefix}/stcc-temp
cp .p10k.zsh %{buildroot}/%{_prefix}/stcc-temp
cp .ZSH_CUSTOM/* -r %{buildroot}/%{_prefix}/stcc-temp/.ZSH_CUSTOM
cp fastfetch/* %{buildroot}/%{_prefix}/stcc-temp/fastfetch
cp 90-override.conf %{buildroot}/%{_sysconfdir}/sysctl.d/
cp LICENSE %{buildroot}/%{_datadir}/licenses/%{name}
ln -s stcs %{buildroot}/%{_bindir}/st-community-scripts

%files
%license %{_datadir}/licenses/%{name}/LICENSE
%{_prefix}/stcc-temp/.zshrc
%{_prefix}/stcc-temp/.p10k.zsh
%{_prefix}/stcc-temp/.ZSH_CUSTOM/
%{_prefix}/stcc-temp/fastfetch/
%{_sysconfdir}/sysctl.d/90-override.conf
%{_bindir}/stcc-start
%{_bindir}/stcs
%{_bindir}/st-community-scripts
/opt/setup-tool/custom-scripts/PLACEHOLDER

%changelog
%autochangelog
